# this is the config file for deploying teh bot whenever you push commits

image: node:17

stages:
  - build
  - test
  - deploy

cache:
  paths:
    - node_modules/

# checks to see if it actually compiles
build:
  stage: build
  script:
    - yarn
    - yarn build
  artifacts:
    paths:
      - node_modules/
  only:
    - main

# testing for errors in linting
testing:
  stage: test
  script: yarn test
  only:
    - main

nixos:
  stage: deploy
  variables:
    PACKAGE_NAME: "silver_discord_classbot"
    UPDATE_FLAKE: "yes"
  trigger: nix17/nixos-config
  only:
    - main
  # ensure that the pipeline succeeds up to this point for everyone other than Brendan
  allow_failure: true

